Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezarticle/user/search.php File Reference

Go to the source code of this file.

## Variables
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $Limit = $ini->variable( "eZArticleMain", "SearchListLimit" )
| $SearchWithinSections = $ini->variable( "eZArticleMain", "SearchWithinSections" )
if(isset($SectionIDOverride)) | else
| $t
| $tmpSearchText = str_replace( "<", "&lt;", $_REQUEST['SearchText'] )
| $Offset = isset ( $_REQUEST['Offset'] )?isset ( $_REQUEST['Offset'] ):0
| $paramsArray = array()

## Variable Documentation

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 36 of file ezarticle/user/search.php.

## ◆ $Limit

$Limit = $ini->variable( "eZArticleMain", "SearchListLimit" )

Definition at line 37 of file ezarticle/user/search.php.

## ◆ $Offset

$Offset = isset ( $_REQUEST['Offset'] )?isset ( $_REQUEST['Offset'] ):0

Definition at line 110 of file ezarticle/user/search.php.

Referenced by createSmallArticleList(), eZList\drawList(), and eZForumMessage\getAllUnApproved().

## ◆ $paramsArray

$paramsArray = array()

Definition at line 113 of file ezarticle/user/search.php.

## ◆ $SearchWithinSections

$SearchWithinSections = $ini->variable( "eZArticleMain", "SearchWithinSections" )

Definition at line 38 of file ezarticle/user/search.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ),
"kernel/ezarticle/user/intl/", $Language, "search.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
$ini
Definition: classes/admin/linklist.php:64
$Language
$Language
Definition: ezarticle/user/search.php:36

Definition at line 54 of file ezarticle/user/search.php.

## ◆ $tmpSearchText

$tmpSearchText = str_replace( "<", "&lt;", $_REQUEST['SearchText'] )

Definition at line 106 of file ezarticle/user/search.php.

## ◆ else

if (isset($CategoryID)) else

Initial value:
{
$SectionIDOverride = false

Definition at line 49 of file ezarticle/user/search.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.